extern crate hyper;

use hyper::{Body, Response, Server};
use hyper::service::service_fn_ok;
use hyper::rt::{self, Future};

fn main() {

    let addr = ([127, 0, 0, 1], 1500).into();

    rt::run(rt::lazy(move || {
        let server = Server::bind(&addr)
            .serve(|| service_fn_ok(|_| Response::new(Body::from("Hello world"))))
            .map_err(|e| eprintln!("server 1 error: {}", e));

        rt::spawn(server);
        Ok(())
    }));
}
